---
search:
  tags:
    - Shops
    - GET
seo:
  description: >-
    Returns the payment methods configured for the shop. Reference for the GET
    /shops/{shop_id}/payment_methods endpoint in the Bolder API v2.
sidebar:
  label: List payment methods for a shop
  badge: GET
title: List payment methods for a shop
type: openapi-operation
---
Returns the payment methods configured for the shop.

`GET /shops/{shop_id}/payment_methods`

**cURL**

```bash
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/shops/1/payment_methods"
```

**Responses**

- `200` — Payment methods list

Response example, 200:

```json
{
  "_class": [
    "results",
    "paymentMethods"
  ],
  "total_items": 2,
  "_embedded": {
    "items": [
      {
        "id": 3,
        "type": "webpay_rest_payment_method",
        "title": "Webpay Plus (Rest)",
        "active": true
      },
      {
        "id": 7,
        "type": "bank_transfer_payment_method",
        "title": "Transferencia bancaria",
        "active": true
      }
    ]
  }
}
```
